import React from 'react'
import styled from 'styled-components'
const CardDiv = styled.div`
flex-grow: 1;
color: ${props=>props.theme.colours.color6};
background: ${props=>props.theme.colours.color1};
border-radius: 1em;
padding: 1em;
margin: 1em;
display: block;
flex-direction: column;
h4 {
  margin: 0;
}
`;
export default function Card({children}) {
    return (
        <CardDiv>
            {children}
        </CardDiv>
    )
}
