import React, { Component } from 'react'
import Card from '../components/Card'
import styled, { withTheme } from 'styled-components'
import { Button, Table, Select, Checkbox } from '../components';

export class AccountManager extends Component {
    render() {
        const ActionSelect = styled.div`
        width: 100%;
        
        display: flex;
        justify-content: flex-end;        
        `;

        return (
            <>
    
                <h3>Account Manager</h3>
                <Table>
                    <thead>
                        <tr>
                            <td>UserID</td>
                            <td>First Name</td>
                            <td>Last Name</td>
                            <td>Last Access</td>
                            <td></td>
                            <td></td>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td>001</td>
                            <td>Anton</td>
                            <td>Stigloher</td>
                            <td>06.10.2021</td>
                            <td><Button>More</Button></td>
                            <td><ActionSelect><Checkbox/></ActionSelect></td>
                        </tr>
                        <tr>
                            <td>002</td>
                            <td>Max</td>
                            <td>Mustermann</td>
                            <td>07.10.2021</td>
                            <td><Button>More</Button></td>
                            <td><ActionSelect><Checkbox/></ActionSelect></td>
                        </tr>
                        <tr>
                            <td>003</td>
                            <td>Peter</td>
                            <td>Lustig</td>
                            <td>08.10.2021</td>
                            <td><Button>More</Button></td>
                            <td><ActionSelect><Checkbox/></ActionSelect></td>
                        </tr>
                    </tbody>

                </Table>
                <ActionSelect><Select>
                        <option>Extend</option>
                        <option>Enable</option>
                        <option>Disable</option>
                        <option>Delete</option>
                    </Select>
                    <Button>Apply</Button>
                    </ActionSelect>

            </>
        )
    }
}

export default withTheme(AccountManager)
